// ==  スレーブ1側のプログラム ==
//  include  -- 必要ファイルの読み込み
#include <FtduinoSimple.h>
#include <Wire.h>

void setup() {
  Wire.begin(43);      // アドレス 43　で スレーブ としてI2Cを開始
  // スレーブ側のデバイスが『マスター側のデバイスからの送信』を受信した際に呼び出される関数の登録
  Wire.onReceive(receiveEvent); 
}

void loop() {
  delay(100);
}
  // マスター側からいつでも呼び出される関数
  // データはI2C経由で送信 // setup() で登録されています
void receiveEvent(int num) {
    //  最低1byte 必要
  if(Wire.available()) {
    // 最初の バイト　はレジスタアドレス
    int addr = Wire.read();

    // アドレス0〜7のスイッチ   出力O1〜O8
    if((addr >= 0) && (addr <= 7) && Wire.available()) {
      int value = Wire.read(); //  読み込み
      ftduino.output_set(Ftduino::O1+addr, value?Ftduino::HI:Ftduino::LO);
    }
  }
}
